# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sinatra/generate/version'

Gem::Specification.new do |spec|
  spec.name          = 'sinatra-generate'
  spec.version       = Sinatra::Generate::VERSION
  spec.authors       = ['Habib Alamin']
  spec.email         = ['ha.alamin@gmail.com']

  spec.summary       = %q{A generator library for the Sinatra Ruby web framework}
  spec.homepage      = 'https://github.com/habibalamin-gems/sinatra-generate'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'thor', '~> 0.19.1'
  spec.add_dependency 'activesupport', '~> 4.2.2'

  spec.add_development_dependency 'bundler', '~> 1.9'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.3.0'
  spec.add_development_dependency 'timecop', '~> 0.7.4'
end
